.First.lib <- function(libname, pkgname) {
  # For MacOS X we have to remove /usr/X11R6/lib from the DYLD_LIBRARY_PATH
  # because it would override Apple's OpenGL framework (which is loaded
  # by JavaVM implicitly)
  .Sys.putenv <- if (exists("Sys.setenv")) Sys.setenv else Sys.putenv
  if (nchar(Sys.getenv("DYLD_LIBRARY_PATH")))
    .Sys.putenv("DYLD_LIBRARY_PATH"=gsub("/usr/X11R6/lib","",Sys.getenv("DYLD_LIBRARY_PATH")))
  library.dynam("xGD", pkgname, libname)
}

xGD <- function(name="xGD", w=400, h=300, host="127.0.0.1", port=1427)
  invisible(.C("newXGD",as.character(name),as.numeric(w),as.numeric(h),as.character(host),as.integer(port),PACKAGE="xGD"))
