\name{xGD}
\alias{xGD}
\alias{XGD}
\title{
  Create a new XGD (eXternal Graphics Device)
}
\description{
  \code{xGD} initializes a new XGD device, attempts to connect to the
  XGD server and creates a new window.
}
\usage{
xGD(name="xGD", w=400, h=300, host="127.0.0.1", port=1427)
}
\arguments{
  \item{name}{Name of the device}
  \item{w}{Initial width of the window (usually in pixels, but the
    actual interpretation depends on the XGD server)}
  \item{h}{Initial height of the window}
  \item{host}{Host to connect to}
  \item{port}{TCP port to connect to}
}
\value{
  Currently the return value is implementation dependent, mostly just
  the return code as returned by the low-level C function
}
%\seealso{
%}
\examples{
\dontrun{
xGD()
}
}
\keyword{device}
